if select(2, UnitClass('player')) ~= "SHAMAN" then
	return
end
local L = AceLibrary("AceLocale-2.2"):new("Yata");

L:RegisterTranslations("enUS", function() 
	return {
	-- Core.lua
	["Reapplied cyCircled skin"] = true,
	["Yata reloaded"] = true,

	-- Options.lua
	["Totembar"] = true,
	["Totembar configuration"] = true,
	["Lock the frame"] = true,
	["Button Lock"] = true,
	["Button Scale"] = true,
	["Scale the buttons"] = true,
	["Popup Button Scale"] = true,
	["Scale the popup buttons"] = true,
	["Invert popup direction"] = true,
	["Vertical bar direction"] = true,
	["Button Style"] = true,
	["Tooltips"] = true,
	["Tooltip configuration"] = true,
	["Show Tooltip"] = true,
	["Out of combat only"] = true,
	["Show short tooltip"] = true,
	["Totemsets"] = true,
	["No active Set"] = true,
	["Add"] = true,
	["Load"] = true,
	["Load Set"] = true,
	["Delete"] = true,
	["Delete Set"] = true,
	["Switch to default layout"] = true,
	["Keybindings"] = true,
	["Totem Timers"] = true,
	["Reload Yata"] = true,
	["Please enter the name for your Set, it the name is already existing the two Sets will be merged, any changes to the button layout will be now done on this set."] = true,
	["Cancel"] = true,
	["Are you sure you want to delete the set %s?"] = true,
	["No Set"] = true,
	["Available Totemsets"] = true,
	["  No Set"] = true,
	["Please click on any Set Name to equip or click on 'No Set' to return to the default Totembar"] = true,
	["No Totemsets created"] = true,
	["Couldn't find Icon"] = true,
	["No more Macros allowed"] = true,

	-- Timers.lua
	["Enable Totem Timers"] = true,
	["Scale Totem Timer bars"] = true,
	["Timerbar Texture"] = true,
	["Sets the timerbar texture"] = true,
	["Lock Totem Timer bars"] = true,
	["Totem"] = true,

	-- TotemBar.lua
	["Default"] = true,
	["HorizontalGap"] = true,
	["Zoomed"] = true,
	["Dreamlayout"] = true,
	["%s is not a valid keybinding."] = true,
	["Air"] = true,
	["Water"] = true,
	["Earth"] = true,
	["Fire"] = true,
	[" Main Button "] = true,
	[" Menu Button "] = true,
	["Assign a Keybinding to"] = true,
	["Active Set: "] = true,
	["Please reset first, before you delete an active set"] = true,
	["Deleted "] = true,
	["No active Set"] = true,
	["Set: %s does not exist"] = true,
	["Problem with Set, ignoring current set, you should delete it"] = true,
	["Load "] = true,
	["Delete "] = true,
	["Please relock the Buttons and reload ui now"] = true,

	-- TotemData.lua
	["(%d+) min"] = true,
	["(%d+) sec"] = true,
	["Tools_totem_regex"] = "Tools: (.*)Totem",
	["(%d+) health"] = true,
	["(%d+) points health"] = true,
	};
end);

L:RegisterTranslations("deDE", function() 
	return {
	["Air"] = "Luft",
	["Water"] = "Wasser",
	["Earth"] = "Erde",
	["Fire"] = "Feuer",
	["Totem"] = "Totem",
	["Tools_totem_regex"] = "Werkzeuge: (.*)totem",
	["(%d+) health"] = "(%d+) Gesundheit",
	["(%d+) points health"] = "(%d+) Punkt%(en%) Gesundheit",
	["(%d+) min"] = "(%d+) Min.",
	["(%d+) sec"] = "(%d+) Sek.",
	["Button Lock"] = "Knöpfe sperren",
	["Lock the frame"] = "Fenster sperren",
	["Button Scale"] = "Knopf Skalierung",
	["Scale the buttons"] = "Knöpfe skalieren",
	["Invert popup direction"] = "Popuprichtung invertieren",
	["Vertical bar direction"] = "Vertikale Balkenrichtung",
	["Tooltip configuration"] = "Tooltip Einstellungen",
	["Show Tooltip"] = "Tooltip anzeigen",
	["Out of combat only"] = "Nur außerhalb des Kampfes",
	["Totembar configuration"] = "Totembar Einstellungen",
	["Popup Button Scale"] = "Popup Knöpfe Skalierung",
	["Scale the popup buttons"] = "Popup Knöpfe skalieren",
	["Button Style"] = "Aussehen der Knöpfe",
	["Show short tooltip"] = "Kurzer Tooltiptext",
	};
end);

L:RegisterTranslations("zhTW", function() 
	return {
	-- Core.lua
	["Reapplied cyCircled skin"] = "重啟 cyCircled 樣式",
	["Yata reloaded"] = "Yata 已重載",

	-- Options.lua
	["Totembar"] = "圖騰條",
	["Totembar configuration"] = "圖騰條設定",
	["Lock the frame"] = "鎖定圖騰條",
	["Button Lock"] = "鎖定按鈕",
	["Button Scale"] = "按鈕大小",
	["Scale the buttons"] = "設定按鈕大小",
	["Popup Button Scale"] = "彈出按鈕大小",
	["Scale the popup buttons"] = "設定彈出按鈕大小",
	["Invert popup direction"] = "反轉彈出方向",
	["Vertical bar direction"] = "垂直圖騰條",
	["Button Style"] = "按鈕樣式",
	["Tooltips"] = "提示訊息",
	["Tooltip configuration"] = "提示訊息設定",
	["Show Tooltip"] = "顯示提示訊息",
	["Out of combat only"] = "只在戰鬥外顯示",
	["Show short tooltip"] = "顯示簡短提示訊息",
	["Totemsets"] = "圖騰組合",
	["No active Set"] = "目前沒有組合",
	["Add"] = "新增",
	["Load"] = "載入",
	["Load Set"] = "載入組合",
	["Delete"] = "刪除",
	["Delete Set"] = "刪除組合",
	["Switch to default layout"] = "重設為預設組合",
	["Keybindings"] = "按鍵設定",
	["Totem Timers"] = "圖騰計時條",
	["Reload Yata"] = "重新載入 Yata",
	["Please enter the name for your Set, it the name is already existing the two Sets will be merged, any changes to the button layout will be now done on this set."] = "請輸入圖騰組合的名字，如有和現有組合同名的話將會合併處理，建立後設定都會以這個組合為主。",
	["Cancel"] = "取消",
	["Are you sure you want to delete the set %s?"] = "你確定要刪除組合「%s」?",
	["No Set"] = "預設",
	["Available Totemsets"] = "現有的圖騰組合",
	["  No Set"] = "  預設",
	["Please click on any Set Name to equip or click on 'No Set' to return to the default Totembar"] = "請按圖騰組合名稱或按「預設」來使用預設的組合",
	["No Totemsets created"] = "尚未建立圖騰組合",
	["Couldn't find Icon"] = "找不到圖示",
	["No more Macros allowed"] = "無法建立巨集",

	-- Timers.lua
	["Enable Totem Timers"] = "啟用圖騰計時條",
	["Scale Totem Timer bars"] = "設定圖騰計時條大小",
	["Timerbar Texture"] = "圖騰計時條材質",
	["Sets the timerbar texture"] = "設定圖騰計時條紋理",
	["Lock Totem Timer bars"] = "鎖定圖騰計時條",
	["Totem"] = "圖騰",

	-- TotemBar.lua
	["Default"] = "預設",
	["HorizontalGap"] = "水平間隔",
	["Zoomed"] = "放大",
	["Dreamlayout"] = "Dreamlayout",
	["%s is not a valid keybinding."] = "「%s」不是合法的按鍵。",
	["Air"] = "風之",
	["Water"] = "水之",
	["Earth"] = "大地",
	["Fire"] = "火焰",
	[" Main Button "] = "圖騰主要按鈕",
	[" Menu Button "] = "圖騰彈出按鈕",
	["Assign a Keybinding to"] = "設定按鍵",
	["Active Set: "] = "目前組合: ",
	["Please reset first, before you delete an active set"] = "要刪除目前正在用的組合，請先重設",
	["Deleted "] = "已刪除: ",
	["No active Set"] = "目前沒有組合",
	["Set: %s does not exist"] = "組合「%s」不存在",
	["Problem with Set, ignoring current set, you should delete it"] = "圖騰組合有問題，你應該刪除它",
	["Load "] = "載入: ",
	["Delete "] = "刪除: ",
	["Please relock the Buttons and reload ui now"] = "請重載使用者介面",

	-- TotemData.lua
	["(%d+) min"] = "(%d+)分",
	["(%d+) sec"] = "(%d+)秒",
	["Tools_totem_regex"] = "工具:(.+)圖騰",
	["(%d+) health"] = "生命力為(%d+)點的",
	["(%d+) points health"] = "一個(%d+)點生命力的",
	};
end);
